import ModuleMgr from './ModuleMgr';
export default class ModuleBase {
    onInit() {
    }
    onLateInit() {
    }
    onUpdate(dt: number) {
    }
    onLateUpdate(dt: number) {
    }
    onRelease() {
    }
    getModule(key: string) {
        return ModuleMgr.getInstance().getModule(key);
    }

    //this.sendMsg('AAA', 'bbb', aaa, bbb)

    sendMsg(moduleName: string, strMsg: string, ...rest) {
        console.log(rest);
        ModuleMgr.getInstance().sendMsg.apply(ModuleMgr.getInstance(), arguments);
        //ModuleMgr.getInstance().sendMsg(moduleName,strMsg,data);
    }

    // handleMsg(strMsg:string, data:any){

    // }
    handleMsg(strMsg: string, ...rest) {

    }
}